com.sun.jna.platform.unix

## Class X11.XEvent

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.Union
    - - com.sun.jna.platform.unix.X11.XEvent

Enclosing interface:
  X11

    public static class X11.XEvent
    extends Union

DEFINITIONS OF SPECIFIC EVENTS

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`NativeLong[]` `pad`
`int` `type`
`X11.XAnyEvent` `xany`
`X11.XButtonEvent` `xbutton`
`X11.XCirculateEvent` `xcirculate`
`X11.XCirculateRequestEvent` `xcirculaterequest`
`X11.XClientMessageEvent` `xclient`
`X11.XColormapEvent` `xcolormap`
`X11.XConfigureEvent` `xconfigure`
`X11.XConfigureRequestEvent` `xconfigurerequest`
`X11.XGenericEventCookie` `xcookie`
`X11.XCreateWindowEvent` `xcreatewindow`
`X11.XCrossingEvent` `xcrossing`
`X11.XDestroyWindowEvent` `xdestroywindow`
`X11.XErrorEvent` `xerror`
`X11.XExposeEvent` `xexpose`
`X11.XFocusChangeEvent` `xfocus`
`X11.XGenericEvent` `xgeneric`
`X11.XGraphicsExposeEvent` `xgraphicsexpose`
`X11.XGravityEvent` `xgravity`
`X11.XKeyEvent` `xkey`
`X11.XKeymapEvent` `xkeymap`
`X11.XMapEvent` `xmap`
`X11.XMappingEvent` `xmapping`
`X11.XMapRequestEvent` `xmaprequest`
`X11.XMotionEvent` `xmotion`
`X11.XNoExposeEvent` `xnoexpose`
`X11.XPropertyEvent` `xproperty`
`X11.XReparentEvent` `xreparent`
`X11.XResizeRequestEvent` `xresizerequest`
`X11.XSelectionEvent` `xselection`
`X11.XSelectionClearEvent` `xselectionclear`
`X11.XSelectionRequestEvent` `xselectionrequest`
`X11.XUnmapEvent` `xunmap`
`X11.XVisibilityEvent` `xvisibility`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`XEvent()`

### Method Summary

### Methods inherited from class com.sun.jna.Union

`getFieldOrder, getNativeAlignment, getTypedValue, readField, readField, setType, setType, setTypedValue, writeField, writeField, writeField`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### type

    public int type

#### xany

    public X11.XAnyEvent xany

#### xkey

    public X11.XKeyEvent xkey

#### xbutton

    public X11.XButtonEvent xbutton

#### xmotion

    public X11.XMotionEvent xmotion

#### xcrossing

    public X11.XCrossingEvent xcrossing

#### xfocus

    public X11.XFocusChangeEvent xfocus

#### xexpose

    public X11.XExposeEvent xexpose

#### xgraphicsexpose

    public X11.XGraphicsExposeEvent xgraphicsexpose

#### xnoexpose

    public X11.XNoExposeEvent xnoexpose

#### xvisibility

    public X11.XVisibilityEvent xvisibility

#### xcreatewindow

    public X11.XCreateWindowEvent xcreatewindow

#### xdestroywindow

    public X11.XDestroyWindowEvent xdestroywindow

#### xunmap

    public X11.XUnmapEvent xunmap

#### xmap

    public X11.XMapEvent xmap

#### xmaprequest

    public X11.XMapRequestEvent xmaprequest

#### xreparent

    public X11.XReparentEvent xreparent

#### xconfigure

    public X11.XConfigureEvent xconfigure

#### xgravity

    public X11.XGravityEvent xgravity

#### xresizerequest

    public X11.XResizeRequestEvent xresizerequest

#### xconfigurerequest

    public X11.XConfigureRequestEvent xconfigurerequest

#### xcirculate

    public X11.XCirculateEvent xcirculate

#### xcirculaterequest

    public X11.XCirculateRequestEvent xcirculaterequest

#### xproperty

    public X11.XPropertyEvent xproperty

#### xselectionclear

    public X11.XSelectionClearEvent xselectionclear

#### xselectionrequest

    public X11.XSelectionRequestEvent xselectionrequest

#### xselection

    public X11.XSelectionEvent xselection

#### xcolormap

    public X11.XColormapEvent xcolormap

#### xclient

    public X11.XClientMessageEvent xclient

#### xmapping

    public X11.XMappingEvent xmapping

#### xerror

    public X11.XErrorEvent xerror

#### xkeymap

    public X11.XKeymapEvent xkeymap

#### xgeneric

    public X11.XGenericEvent xgeneric

#### xcookie

    public X11.XGenericEventCookie xcookie

#### pad

    public NativeLong[] pad

### Constructor Detail

#### XEvent

    public XEvent()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.